> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gputrader.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get container tunnel information

> Retrieve tunnel configuration for a specific container within a stack in a rental



## OpenAPI

````yaml https://console.gputrader.io/assets/gputrader-api.json get /rentals/{rentalId}/stacks/{stackId}/containers/{containerId}/tunnel
openapi: 3.1.1
info:
  title: GPU Trader API
  version: 0.4.16
  description: This is the Swagger/OpenAPI-compatible GPUTrader API documentation
servers:
  - url: https://api.gputrader.io/v1
security: []
tags: []
paths:
  /rentals/{rentalId}/stacks/{stackId}/containers/{containerId}/tunnel:
    get:
      tags:
        - Rentals
      summary: Get container tunnel information
      description: >-
        Retrieve tunnel configuration for a specific container within a stack in
        a rental
      parameters:
        - in: path
          name: rentalId
          required: true
          schema:
            type: string
          description: Rental ID
        - in: path
          name: stackId
          required: true
          schema:
            type: string
          description: Stack ID
        - in: path
          name: containerId
          required: true
          schema:
            type: string
          description: Container ID
        - in: query
          name: privatePort
          required: true
          schema:
            type: string
          description: Private port number for the tunnel
        - in: query
          name: publicPort
          required: false
          schema:
            type: string
          description: >-
            Public port number for the tunnel (optional, will be removed in
            future)
      responses:
        '200':
          description: Successfully retrieved tunnel information
          content:
            application/json:
              schema:
                type: object
                properties:
                  isBasicAuthEnabled:
                    type: boolean
                    description: >-
                      Indicates if basic authentication is enabled for the
                      tunnel
                  url:
                    type: string
                    description: Frontend endpoint URL for the tunnel
                  username:
                    type: string
                    description: Frontend username (only present if basic auth is enabled)
                  password:
                    type: string
                    description: Frontend password (only present if basic auth is enabled)
                required:
                  - isBasicAuthEnabled
                  - url
        '404':
          description: Rental, stack, or container not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````